be.ehealth.businessconnector.chapterIV.wrapper

## Interface Chap4MedicalAdvisorAgreementResponseWrapper<T>

- All Superinterfaces:
    ResponseTypeIf, Serializable, WrappedXmlObject<T>
  All Known Implementing Classes:
    AskChap4MedicalAdvisorAgreementResponseWrapperImpl, ConsultChap4MedicalAdvisorAgreementResponseWrapperImpl

      public interface Chap4MedicalAdvisorAgreementResponseWrapper<T>
      extends ResponseTypeIf, WrappedXmlObject<T>

  interface to wrap generated classes XXChap4MedicalAdvisorAgreementResponse in. Default impl : `AskChap4MedicalAdvisorAgreementResponseWrapperImpl` Extends : `ResponseTypeIf`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommonOutputType` | `getCommonOutput()` Gets the value of the commonOutput property.
    `RecordCommonOutputType` | `getRecordCommonOutput()` Gets the value of the recordCommonOutput property.
    `SecuredContentType` | `getResponse()` Gets the value of the response property.
    `FaultType` | `getReturnInfo()` Gets the value of the returnInfo property.
    `void` | `setCommonOutput(CommonOutputType value)` Sets the value of the commonOutput property.
    `void` | `setRecordCommonOutput(RecordCommonOutputType value)` Sets the value of the recordCommonOutput property.
    `void` | `setResponse(SecuredContentType value)` Sets the value of the response property.
    `void` | `setReturnInfo(FaultType value)` Sets the value of the returnInfo property.

    - ### Methods inherited from interface be.ehealth.businessconnector.chapterIV.wrapper.ResponseTypeIf

      `getId, getStatus, setId, setStatus`

    - ### Methods inherited from interface be.ehealth.businessconnector.chapterIV.wrapper.WrappedXmlObject

      `getXmlObject`

- - ### Method Detail

    - #### getCommonOutput

          CommonOutputType getCommonOutput()

      Gets the value of the commonOutput property.
      Returns:
        possible object is `CommonOutputType`

    - #### setCommonOutput

          void setCommonOutput(CommonOutputType value)

      Sets the value of the commonOutput property.
      Parameters:
        `value` - allowed object is `CommonOutputType`

    - #### getRecordCommonOutput

          RecordCommonOutputType getRecordCommonOutput()

      Gets the value of the recordCommonOutput property.
      Returns:
        possible object is `RecordCommonOutputType`

    - #### setRecordCommonOutput

          void setRecordCommonOutput(RecordCommonOutputType value)

      Sets the value of the recordCommonOutput property.
      Parameters:
        `value` - allowed object is `RecordCommonOutputType`

    - #### getReturnInfo

          FaultType getReturnInfo()

      Gets the value of the returnInfo property.
      Returns:
        possible object is `FaultType`

    - #### setReturnInfo

          void setReturnInfo(FaultType value)

      Sets the value of the returnInfo property.
      Parameters:
        `value` - allowed object is `FaultType`

    - #### getResponse

          SecuredContentType getResponse()

      Gets the value of the response property.
      Returns:
        possible object is `SecuredContentType`

    - #### setResponse

          void setResponse(SecuredContentType value)

      Sets the value of the response property.
      Parameters:
        `value` - allowed object is `SecuredContentType`

Connector Packaging PERSPHYSICIAN 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.